Skip to main content
GET
/
v1
/
offers
/
{id}
Get an offer for the authenticated partner
curl --request GET \
  --url https://api.coinlist.co/v1/offers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "asset": {
    "code": "<string>",
    "fractional_digits": 123,
    "id": "<string>",
    "name": "<string>"
  },
  "faqs": [
    {
      "answer": "<string>",
      "question": "<string>"
    }
  ],
  "funding_assets": [
    {
      "code": "<string>",
      "fractional_digits": 123,
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "id": "05edea81-98a7-4582-aa7c-040d57cb1858",
  "links": [
    {
      "label": "<string>",
      "url": "<string>"
    }
  ],
  "milestones": [
    {
      "name": "<string>",
      "schedule": "<string>",
      "status": "completed"
    }
  ],
  "name": "<string>",
  "object": "offer_details",
  "options": [
    {
      "bid_increment": 123,
      "floor_price_usd": 123,
      "id": "05edea81-98a7-4582-aa7c-040d57cb1858",
      "minimum_purchase_usd": 123,
      "mode": "live",
      "price_usd": 123,
      "sale_agreement_url": "<string>",
      "slug": "<string>",
      "total_token_supply": 123
    }
  ],
  "slug": "example-offer",
  "terms": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "about": "<string>",
  "banner_url": "<string>",
  "category": "<string>",
  "ends_at": "2025-01-01T00:00:00.000000Z",
  "logo_url": "<string>",
  "starts_at": "2025-01-01T00:00:00.000000Z",
  "tagline": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinlist.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization and token endpoints

Path Parameters

id
string
required

Offer ID

Query Parameters

sandbox
boolean

When true, includes sandbox offer options in the response. Default: false.

Response

Successful response.

Full offer details

asset
object
required

The asset for which the offer is created

faqs
object[]
required

List of FAQs for the offer

funding_assets
object[]
required

List of assets that can be used to fund the offer

id
string
required

Unique identifier for the object.

Example:

"05edea81-98a7-4582-aa7c-040d57cb1858"

List of links related to the offer

milestones
object[]
required

List of milestones for the offer

name
string
required

The name of the offer

object
enum<string>
required

String representing the object's type. Objects of the same type share the same value.

Available options:
offer_details
options
object[]
required

List of offer options

slug
string
required

The slug identifier of the offer

Example:

"example-offer"

terms
object[]
required

List of offer terms

about
string | null

About text for the offer (English)

banner_url
string<uri> | null

The URL for the offer banner

category
string | null

The category of the offer

ends_at
string<date-time>

When the offer ends

Example:

"2025-01-01T00:00:00.000000Z"

logo_url
string<uri> | null

The URL for the offer logo

starts_at
string<date-time>

When the offer starts

Example:

"2025-01-01T00:00:00.000000Z"

tagline
string | null

Tagline text for the offer (English)